Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.expr.flwor
Class GroupByClausePull

    java.lang.Object
      net.sf.saxon.expr.flwor.TuplePull
          com.saxonica.expr.flwor.GroupByClausePull

    public class GroupByClausePull

extends TuplePull

Represents the tuple stream delivered by an "group by" clause. This groups the tuple stream supplied as its input, and outputs a new set of tuples one per group of the input tuples. No groups are output until all the groups have been read.

Constructor Summary
`GroupByClausePull(TuplePull base, GroupByClause groupBy)`

Method Summary
`void` | `close()` Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
`boolean` | `nextTuple(XPathContext context)` Move on to the next tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupByClausePull

    public GroupByClausePull(TuplePull base,
                             GroupByClause groupBy)

Method Detail

### nextTuple

    public boolean nextTuple(XPathContext context)
                      throws XPathException

  Move on to the next tuple. Before returning, this method must set all the variables corresponding to the "returned" tuple in the local stack frame associated with the context object

  Specified by:
    `nextTuple` in class `TuplePull`
  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    true if another tuple has been generated; false if the tuple stream is exhausted. If the method returns false, the values of the local variables corresponding to this tuple stream are undefined.
  Throws:
    `XPathException`

### close

    public void close()

  Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released

  Overrides:
    `close` in class `TuplePull`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.